.ProjectViewerColumn {
    padding-right: 0;
}

.ProjectViewer {
    text-align: center;
    transform: translateZ(0);
}

.ProjectViewer p + p {
    margin-top: 20px;
}

.ProjectViewer .ProjectName {
    margin-top: 0;
    text-transform: uppercase;
    font-weight: bold;
    letter-spacing: 2px;
    display: inline-block;
    font-size: 2.5em;
}

.ProjectViewer .ProjectDescription {
    margin-top: 30px;
    text-align: left;
    font-size: 1.15em;
    line-height: 28px;
    letter-spacing: 0.2px;
    hyphens: auto;
    /* column-count: 2; */
}
.ProjectViewer .ProjectDescription p:first-child::first-letter {
    font-weight: normal;
    font-size: 3.3em;
    float: left;
    line-height: initial;
    font-family: 'Spirax';
    margin: -5px 15px -20px 1px;
    font-style: italic;
}

.ProjectViewer a:not(.CustomLink) {
    text-decoration: none;
    text-transform: uppercase;
    padding-bottom: 2px;
    color: yellow;
    border-bottom: 10px solid rgba(0, 255, 255, 0);
    border: none;
    font-size: 0.9em;
    font-weight: bold;
    text-shadow: none;

    background: linear-gradient(336deg, red, yellow);
    background-size: 0 3px;
    background-repeat: no-repeat;
    background-position: left 100%;

    transition: border 300ms ease-in-out,
        background-size 300ms cubic-bezier(0.215, 0.61, 0.355, 1),
        border-color 300ms ease-in-out,
        color 300ms cubic-bezier(0.215, 0.61, 0.355, 1),
        text-shadow 0.5s ease-in-out;
}

.ProjectViewer a:not(.CustomLink):hover,
.ProjectViewer a:not(.CustomLink):active,
.ProjectViewer a:not(.CustomLink):focus {
    color: white;
    text-decoration: none;
    background-size: 100% 3px;
}

divider {
    height: 1px;
    margin: 50px 0 100px 0;
    column-span: all;
    display: block;
}
    
divider::before {
    content: '&';
    text-align: center;
    font-size: 1.7em;
    font-family: Playfair Display;
    position: absolute;
    left: 0;
    right: 0;
    
    pointer-events: none;
    color: white !important;
    
    opacity: 0.7;
}

.CustomLink {
    text-align: center;
    display: block;
    font-size: 1.2em;
    border: 3px solid rgba(255, 255, 255, 1);
    border-radius: 0;
    color: white;
    padding: 5px;
    font-weight: bold;
    text-decoration: none;
    text-transform: uppercase;
    /* margin-top: 30px; */
    margin-bottom: 30px;
    column-span: all;
    
    transition: background 100ms ease-in-out,
        color 100ms ease-in-out,
        border-color 100ms ease-in-out;
}

.CustomLink:hover {
    border-color: white;
    background-color: white;
    color: black;
    border-width: 3px;
}

.ProjectViewer img {
    margin: 0 auto;
    display: block;
    max-width: 100%;
    margin-bottom: 20px;
    column-span: all;
}

.ProjectViewer iframe {
    margin-bottom: 20px;
}

.ProjectViewer .embed-responsive {
    column-span: all;
}

.changeProject-enter {
    opacity: 0;
    transform: translateZ(0);
    filter: grayscale(100%);
}

.changeProject-enter .ProjectViewerTag {
    opacity: 0;
    filter: blur(50px)
}

.changeProject-enter-active {
    opacity: 1;
    transform: translateZ(0);
    filter: grayscale(0);
    transition: opacity 2000ms ease-in-out,
        /* transform 2000ms ease-in-out 300ms, */
        filter 2000ms ease-in-out 1000ms;
}

.changeProject-enter-active .ProjectViewerTag {
    opacity: 1;
    filter: blur(0px);
    transition: opacity 2000ms ease-in-out 2000ms,
        filter 1500ms ease-in-out 2500ms
}

.changeProject-exit {
    opacity: 1;
    position: absolute;
    top: 0;
    pointer-events: none;
}

.changeProject-exit.changeProject-exit-active {
    opacity: 0;
    transition: opacity 200ms ease-in-out
}


@media (max-width: 768px) {
    .changeProject-exit > div {
        width: calc(100vw - 30px)
    }

    .ProjectViewerColumn {
        padding: 0;
    }
    
    .ProjectViewer .ProjectName {
        margin-left: -15px;
        margin-right: -15px;
    }
    
    .ProjectViewer img {
        margin-left: -15px;
        max-width: 100vw
    }
    
    .ProjectViewer .embed-responsive {
        margin-left: -15px;
        margin-right: -15px;
    }
}

/* Medium Devices, Desktops */
@media only screen and (min-width : 992px) {
}

/* Large Devices, Wide Screens */
@media only screen and (min-width : 1200px) {
    .ProjectViewer .ProjectDescription {
        column-count: 2
    }
}